Documentation API
Create Brand Email Domain
post
/api/v1/Brands/{brandId}/email-domainSet the brand's sending domain and register it; returns DNS records.
Brands
Paramètres
brandId
path · string
Requis
version
path · string
Requis
Corps de la demande
{
"domain": "Example"
}Réponses
- 200Successapplication/json
{ "domain": "Example", "configured": true, "found": true, "spfValid": true, "dkimValid": true, "dmarcValid": true, "validSigning": true, "domainOwnershipVerified": true, "verified": true, "verifiedAt": "2026-07-20T09:00:00Z", "error": "Example", "records": [ { "type": "Deposit", "name": "Alex Morgan", "value": "Example", "purpose": "Example", "category": "Example", "valid": true } ], "instructions": [ "Example" ] }